This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 837648 - Automation Improvements
Automation Improvements
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhevm-doc (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Gordon
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 11:01 EDT by Stephen Gordon
Modified: 2012-11-01 10:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 10:03:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2012-07-04 11:01:05 EDT
Description of problem:

Some automation could help us ensure the integrity of this package. In particular:

- QA assist script to:
  - Check existance of DocumentationPath.csv in expected location.
  - Check existance of PDF files in expected locations and with expected names.
  - Check existance of index.html files in expected locations and with expected names.
  - Check existance of files specified in DocumentationPath.csv.
  - Language should be an optional command line argument, so we can perform the same checks for the translated versions of the package.
- Build script to:
  - Automatically tag latest versions of all RHEV 3.1 guides in docs-rhel-6 or docs-rhel-6-candidate based on command line argument.
Comment 1 Stephen Gordon 2012-07-04 12:10:42 EDT
As an addition a script to automate the create of a package for a new language would probably be helpful too. I have documented the way to do it in doc space but it's pretty convoluted. Something like

./rhevm-doc.sh new-lang <langcode> <version>
./rhevm-doc.sh update-lang <langcode> <version>

The first one should generate the SRPM that needs to be sent to rel-eng to be imported into dist-git and the second one should clone it, tag the latest packages, and kick off a build.
Comment 2 Stephen Gordon 2012-10-24 19:43:35 EDT
Flagging for rhevm-future?, there is still a lot we want/need to do in this area.

Note You need to log in before you can comment on or make changes to this bug.